Ask Your Question
0

How to get Language Module for Spell Check -Debian-Linux [closed]

asked 2013-09-30 22:11:04 +0100

thyonJ gravatar image

updated 2014-02-19 22:45:15 +0100

manj_k gravatar image

Trying to get Spell Check working in LibreOffice Writer. Tools > Options > Language Settings > Writing Aids dialogue's top box shows "Available language modules" empty in my install of the Debian LibreOffice package. I haven't been able to find the .dct (?) file to download or instructions on where to put it once I find it.

edit retag flag offensive reopen merge delete

Closed for the following reason the question is answered, right answer was accepted by Alex Kemp
close date 2015-11-10 10:24:22.998694

1 Answer

Sort by » oldest newest most voted
1

answered 2013-10-01 00:40:15 +0100

thyonJ gravatar image

updated 2013-10-01 21:51:32 +0100

carnendil gravatar image

OK, I found it myself.

  • Tools > Language > More dictionaries online..., NOT in the dialogue Tools > Options... > Language Settings > Writing Aids, or anywhere else under the Tools/Options... selections.
  • Clicking on Tools > Languages > More dictionaries online... takes you to http://extensions.libreoffice.org/extension-center?getCategories=Dictionary , where you can enter the language you want a dictionary for, and entering 'English' on the search box will return, among others, American British Canadian - spelling/hyphen/thesarus dictionaries.

  • Clicking on this name will take you to a page giving details about the selected dictionary, and a ways down the page, just above All Releases and below the links to download this file, is the link "If you don't know, how to install an extension in LibreOffice, see our howto about installing extension for detailed instructions" to let you know how to handle the file once you get it.

  • Click on the Download... link and then, if you need it, the If you don't know... link. The latter link will give you a .pdf that you can keep in whatever you use to keep your local LibreOffice documentation. The reset is explained in the documentation, and involves Tools/Manage extensions. Whew!

edit flag offensive delete link more

Comments

Useful hint, however, the release comes with a warning its unchanged for over a year and no indication its suitable for version 4.2.X. I really have to ask, "why is it so hard for so many people to get spell checker working on a new install of LO ?". Every time I do a new install ! And, to make it worse, if you ask LO to do a manual spell check, it just says, yep, all good. And its not .....

Davo gravatar imageDavo ( 2014-05-14 15:03:34 +0100 )edit

Question Tools

1 follower

Stats

Asked: 2013-09-30 22:11:04 +0100

Seen: 8,599 times

Last updated: Oct 01 '13